# Deletes the key with the specified ID Copy

## Deletes the key.

> Deletes the key with the provided ID.

```json
{"openapi":"3.0.0","info":{"title":"Guardian","version":"3.2.0-rc"},"servers":[{"url":"/api/v1","description":"version 1.0"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"InternalServerErrorDTO":{"type":"object","properties":{"code":{"type":"number"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/profiles/keys/{id}":{"delete":{"description":"Deletes the key with the provided ID.","operationId":"ProfileApi_deleteKey","parameters":[{"name":"id","required":true,"in":"path","description":"Key Identifier","schema":{"type":"string"}}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"type":"boolean"}}}},"401":{"description":"Unauthorized."},"403":{"description":"Forbidden."},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InternalServerErrorDTO"}}}}},"summary":"Deletes the key.","tags":["profiles"]}}}}
```
